Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. StampCard
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • Search Projects
      • Search Tasks
      • Create Timesheet Entry
  • Payroll
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
    • Create Loan
      POST
    • Get Cost Center
      POST
  • Welfare
    • Shuttle Buses
    • Passengers
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • Get Employee Achievements
      • Create Achievement Card
      • Create Achievement Award Document
      • Get Achievement Events
    • Praise
      • Get Employee Praises
      • Get Praise Types
      • Create Praise Reward Manager
    • StampCard
      • Get Stamp Cards
        GET
      • Get Stamp Card Detail
        GET
      • Add Stamp
        POST
    • Celebration
      • Get Upcoming Celebrations
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  • Employee
    • User Info
    • Update Employee Information
  1. StampCard

Add Stamp

POST
https://api.gofive.co.th/empeo/api/v1/stamp-cards/stamps
ออกแสตมป์จากระบบภายนอกให้พนักงาน — ระบุด้วยชื่อ (companyName + employeeNo + stampCardName)

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "CompanyName": "string",
    "EmployeeNo": "string",
    "StampCardName": "string",
    "StampAmount": 1,
    "OccurredAt": "2019-08-24T14:15:22.123Z",
    "Remark": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/stamp-cards/stamps' \
--header 'Ocp-Apim-Subscription-Key: YOUR_SUBSCRIPTION_KEY' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "CompanyName": "string",
    "EmployeeNo": "string",
    "StampCardName": "string",
    "StampAmount": 1,
    "OccurredAt": "2019-08-24T14:15:22.123Z",
    "Remark": "string"
}'

Responses

🟢200OK
application/json
เพิ่มแสตมป์สำเร็จและคืนยอดปัจจุบันหลังทำรายการ
Bodyapplication/json

Example
{
    "StatusCode": 200,
    "Message": "Success",
    "Data": {
        "StampCardId": 301,
        "StampCardName": "Team Star",
        "EmployeeNo": "EMP001",
        "StampAmount": 2,
        "CurrentStampCount": 6,
        "TotalStamp": 10,
        "IsCompleted": false,
        "AutoEnrolled": false,
        "TransactionDate": "2026-07-01T09:30:05Z"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🟠429
🔴500Server Error
Modified at 2026-08-17 17:14:02
Previous
Get Stamp Card Detail
Next
Get Upcoming Celebrations
Built with